{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":5545,"path":"customer-service-management/aem-display-knowledge-components.md","title":"Display ServiceNow knowledge articles on an Adobe Experience Manager page","bundle":null,"doc_type":null,"release":"australia","body":"\n# Display ServiceNow knowledge articles on an Adobe Experience Manager page\n\nUse knowledge components available within Adobe Experience Manager \\(AEM\\) to access knowledge bases from the ServiceNow instance and display associated knowledge articles on an AEM-based website.\n\n## Before you begin\n\n-   Activate the Knowledge API plugin \\(sn\\_km\\_api\\) to use the Knowledge Management REST API endpoints for knowledge articles. For more information, see [Knowledge Management REST API](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/api-reference/knowledge-api.md).\n-   Define the cross-origin resource sharing \\(CORS\\) rule to access the Knowledge API from your AEM instance. For more information, see [Define a cross-origin resource sharing rule \\(CORS\\) to access ServiceNow API endpoints from AEM]().\n\nRole required: AEM author\n\n## Procedure\n\n1.  Log in to your AEM instance.\n\n2.  Open your AEM page in [Edit mode](https://helpx.adobe.com/in/experience-manager/6-5/sites/authoring/using/author-environment-tools.html#main-pars_title_20).\n\n3.  Open the [components browser](https://helpx.adobe.com/in/experience-manager/6-5/sites/authoring/using/author-environment-tools.html#main-pars_title_17).\n\n4.  From the **All** list, select **ServiceNow**.\n\n5.  Drag a component to the required position on the page.\n\n    **Note:** If components are not available, update your template configuration to include the knowledge components. In addition, you must modify the properties of the site template and add each knowledge article component to the list of allowed components.\n\n6.  Open the [component dialog for editing](https://helpx.adobe.com/in/experience-manager/6-5/sites/authoring/using/editing-content.html#ComponentEditDialog).\n\n    **Note:** By default, the knowledge components in the Edit mode of a page in AEM aren't accessible by public users, which are anonymous AEM users who are not logged in. To change the default behavior, you must enable the **Public** property for each knowledge component.\n\n7.  Set the Search Results component properties to display knowledge search results that include a list of knowledge articles from the knowledge bases in the ServiceNow instance.\n\n<table id=\"table_kx2_4q2_tkb\"><thead><tr><th>\n\nProperty\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"component-public\">\n\nPublic\n\n</td><td id=\"component-public-desc\">\n\nOption to make the content of the component visible to public users. When selected, the knowledge articles available to unauthenticated users included in the component are available to all users, including public users.\n\n</td></tr><tr><td id=\"component-kb\">\n\nKnowledge Bases\n\n</td><td id=\"component-kb-desc\">\n\nSystem identifier \\(sys\\_id\\) of a knowledge base that contains associated knowledge articles. Click **Add field** and enter the sys\\_id of a knowledge base. You can add multiple entries.\n\n **Note:** If you don't add a value, knowledge bases from the OSGi configuration settings are used for ServiceNow components.\n\n</td></tr><tr><td id=\"component-lan\">\n\nLanguage\n\n</td><td id=\"component-lan-desc\">\n\nEnables the display of knowledge article search results in different languages. Select one of the following options:\n\n-   **Select from ServiceNow OSGi Configuration**: Knowledge articles are displayed in the language configured in the OSGi configuration for ServiceNow components. This value is selected by default.\n-   **Restrict to portal language**: Knowledge articles are displayed in the language configured in the AEM site.\n-   **All languages**: Knowledge articles are displayed in all languages.\n\n\n</td></tr><tr><td id=\"component-search\">\n\nSearch parameter\n\n</td><td id=\"component-search-desc\">\n\nParameter key for the search query. Example: `kb_query`\n\n</td></tr><tr><td id=\"component-secondary\">\n\nSecondary fields\n\n</td><td id=\"component-secondary-desc\">\n\nMetadata of a knowledge article that appear with the article. Metadata include information such as the author, the date the article was last updated, and the date the article was last viewed. For multiple entries, separate the fields by commas. Example: `author,sys_view_count,sys_updated_on,rating`\n\n</td></tr><tr><td>\n\nSearch results count\n\n</td><td>\n\nMaximum number of articles included in the search results list.Use the increment or decrement icons to increase or decrease the values. You can also manually enter a value. The value must be greater than `1`.\n\n</td></tr><tr><td id=\"component-article-page\">\n\nArticle page URL\n\n</td><td id=\"component-article-page-desc\">\n\nRelative URL of the article page to redirect to. Example: `/content/NOWApp/now_article_view.html`\n\n</td></tr><tr><td>\n\nCustom CSS class\n\n</td><td>\n\nCustom CSS class for applying custom styles to this component. For more information, see []().\n\n</td></tr></tbody>\n</table>8.  Set the Search Box component properties to display a search box for users to enter search text and find knowledge articles in the ServiceNow instance matching the search text.\n\n    **Note:** Triggering a search from the Search Box component leads to the Search Results component.\n\n<table id=\"table_cbh_dlp_tkb\"><thead><tr><th>\n\nProperty\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nPublic\n\n</td><td>\n\nOption to make the content of the component visible to public users. When selected, the knowledge articles available to unauthenticated users included in the component are available to all users, including public users.\n\n</td></tr><tr><td>\n\nPlaceholder\n\n</td><td>\n\nHint text displayed in the search box to provide information about what users can search for or conditions for the search text. Example: `Search (minimum three characters)`\n\n</td></tr><tr><td>\n\nKnowledge Bases\n\n</td><td>\n\nSystem identifier \\(sys\\_id\\) of a knowledge base that contains associated knowledge articles. Click **Add field** and enter the sys\\_id of a knowledge base. You can add multiple entries.\n\n **Note:** If you don't add a value, knowledge bases from the OSGi configuration settings are used for ServiceNow components.\n\n</td></tr><tr><td>\n\nLanguage\n\n</td><td>\n\nEnables the display of knowledge articles in different languages in the search box. Select one of the following options:\n\n-   **Select from ServiceNow OSGi Configuration**: Knowledge articles are displayed in the language configured in the OSGi configuration for ServiceNow components. This value is selected by default.\n-   **Restrict to portal language**: Knowledge articles are displayed in the language configured in the AEM site.\n-   **All languages**: Knowledge articles are displayed in all languages.\n\n\n</td></tr><tr><td>\n\nSearch page URL\n\n</td><td>\n\nRelative URL of the search page to redirect to. Example: `/content/NOWApp/now_article_search.html`\n\n</td></tr><tr><td>\n\nSearch parameter\n\n</td><td>\n\nParameter key for the search query. Example: `kb_query`\n\n</td></tr><tr><td>\n\nTypeahead\n\n</td><td>\n\nOption to enable typeahead search.\n\n</td></tr><tr><td>\n\nTypeahead search results count\n\n</td><td>\n\nMaximum number of articles to include in the typeahead search results list.Use the increment or decrement icons to increase or decrease the values. You can also manually enter a value. The value must be greater than `1`.\n\n</td></tr><tr><td>\n\nArticle page URL\n\n</td><td>\n\nRelative URL of the article page to redirect to. Example: `/content/NOWApp/now_article_view.html`\n\n</td></tr><tr><td>\n\nCustom CSS class\n\n</td><td>\n\nCustom CSS class for applying custom styles to this component. For more information, see []().\n\n</td></tr></tbody>\n</table>9.  Set the Article View component properties to display knowledge articles and their attachments, if available, from a ServiceNow instance.\n\n<table id=\"table_tfp_h4q_tkb\"><thead><tr><th>\n\nProperty\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nPublic\n\n</td><td>\n\nOption to make the content of the component visible to public users. When selected, the knowledge articles available to unauthenticated users included in the component are available to all users, including public users.\n\n</td></tr><tr><td>\n\nArticle parameter\n\n</td><td>\n\nName of the URL query parameter for the article number. Example: `kb_article`\n\n</td></tr><tr><td>\n\nSecondary fields\n\n</td><td>\n\nMetadata of a knowledge article that appear with the article. Metadata include information such as the author, the date the article was last updated, and the date the article was last viewed. For multiple entries, separate the fields by commas. Example: `author,sys_view_count,sys_updated_on,rating`\n\n</td></tr><tr><td>\n\nLanguage parameter\n\n</td><td>\n\nName of the URL query parameter containing the requested language for a knowledge article. Example: `kb_lang`\n\n</td></tr><tr><td>\n\nCustom CSS class\n\n</td><td>\n\nCustom CSS class for applying custom styles to this component. For more information, see []().\n\n</td></tr></tbody>\n</table>10. Set the Article List component properties to display a list of knowledge articles depending on the list criteria.\n\n<table id=\"table_ywq_wbr_tkb\"><thead><tr><th>\n\nProperty\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nPublic\n\n</td><td>\n\nOption to make the content of the component visible to public users. When selected, the knowledge articles available to unauthenticated users included in the component are available to all users, including public users.\n\n</td></tr><tr><td>\n\nTitle\n\n</td><td>\n\nTitle corresponding to the articles list that appears as the component header. Example: `Most viewed articles`\n\n</td></tr><tr><td>\n\nKnowledge Bases\n\n</td><td>\n\nSystem identifier \\(sys\\_id\\) of a knowledge base that contains associated knowledge articles. Click **Add field** and enter the sys\\_id of a knowledge base. You can add multiple entries.\n\n **Note:** If you don't add a value, knowledge bases from the OSGi configuration settings are used for ServiceNow components.\n\n</td></tr><tr><td>\n\nLanguage\n\n</td><td>\n\nEnables the display of a knowledge article in different languages when viewing the article. Select one of the following options:\n\n-   **Select from ServiceNow OSGi Configuration**: Knowledge articles are displayed in the language configured in the OSGi configuration for ServiceNow components. This value is selected by default.\n-   **Restrict to portal language**: Knowledge articles are displayed in the language configured in the AEM site.\n-   **All languages**: Knowledge articles are displayed in all languages.\n\n\n</td></tr><tr><td>\n\nSecondary fields\n\n</td><td>\n\nMetadata of a knowledge article that appear with the article. Metadata include information such as the author, the date the article was last updated, and the date the article was last viewed. For multiple entries, separate the fields by commas. Example: `author,sys_view_count,sys_updated_on,rating`\n\n</td></tr><tr><td>\n\nCriteria\n\n</td><td>\n\nList of criteria for the knowledge articles list. Select one of the following options:-   **Featured**: List of featured knowledge articles based on the keywords configured in the **glide.knowman.default\\_keyword** property. For information about featured articles, see [Add a knowledge article to featured content](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/servicenow-platform/t_PinAnArticle.md) and [Knowledge properties](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/servicenow-platform/r_KnowledgeProperties.md).\n-   **Most Viewed**: List of knowledge articles with the most views.\n\n\n</td></tr><tr><td>\n\nArticle count\n\n</td><td>\n\nMaximum number of articles to include in the articles list. Use the increment or decrement icons to increase or decrease the values. You can also manually enter a value. The value must be greater than `1`.\n\n</td></tr><tr><td>\n\nArticle page URL\n\n</td><td>\n\nRelative URL of the article page to redirect to. Example: `/content/NOWApp/now_article_view.html`\n\n</td></tr><tr><td>\n\nHide component when empty\n\n</td><td>\n\nOption to hide the component when there are no knowledge articles to display.\n\n</td></tr><tr><td>\n\nCustom CSS class\n\n</td><td>\n\nCustom CSS class for applying custom styles to this component. For more information, see []().\n\n</td></tr></tbody>\n</table>\n"}}